"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCookies = exports.setCookies = exports.urls = void 0;
var fs = require("fs");
/** @internal */
exports.urls = {
    codingamer: "https://www.codingame.com/services/CodinGamer/",
    puzzle: "https://www.codingame.com/services/Puzzle/"
};
/** @internal */
var setCookies = function (response) {
    var cookies = response["set-cookie"];
    var cookiesStr = cookies.map(function (el, i) {
        var elSplit = el.split(";");
        if (i !== cookies.length - 1) {
            return elSplit[0] + "; ";
        }
        else {
            return elSplit[0];
        }
    }).join("");
    fs.writeFile("./src/config/cookies", cookiesStr, function (err) {
        if (err) {
            return console.log(err);
        }
    });
};
exports.setCookies = setCookies;
/** @internal */
var getCookies = function () {
    try {
        var cookiesStr = fs.readFileSync("./src/config/cookies", "utf-8");
        return cookiesStr;
    }
    catch (e) {
        console.log(e);
        return "Error";
    }
};
exports.getCookies = getCookies;
